<template>
  <div>
    <div class="card card-custom p-5 gutter-b">
      <div class="card-body p-0">
        <div class="row">
          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Nickname</label>

            <b-form-select
              v-model="filter.nickname"
              :options="options.nicknames"
              size="lg"
            ></b-form-select>
          </div>

          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Owner</label>

            <b-form-input
              id="input-large"
              size="lg"
              placeholder="Masukkan Owner"
            ></b-form-input>
          </div>

          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Nama Proyek</label>

            <b-form-input
              id="input-large"
              size="lg"
              placeholder="Masukkan Nama Proyek"
            ></b-form-input>
          </div>

          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Nomor Kontrak</label>

            <b-form-input
              id="input-large"
              size="lg"
              placeholder="Masukkan Nomor Kontrak"
            ></b-form-input>
          </div>

          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Status</label>

            <b-form-input
              disabled
              value="Open"
              id="input-large"
              size="lg"
              placeholder="Masukkan Status"
            ></b-form-input>
          </div>
        </div>
      </div>
    </div>

    <div class="card card-custom p-5 gutter-b">
      <div class="card-body p-0">
        <div class="row">
          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Stasiun</label>

            <b-form-select
              v-model="filter.station"
              :options="options.stations"
              size="lg"
            ></b-form-select>
          </div>

          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Scope</label>

            <b-form-select
              v-model="filter.scope"
              :options="options.scopes"
              size="lg"
            ></b-form-select>
          </div>

          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Title</label>

            <b-form-input
              id="input-large"
              size="lg"
              placeholder="Masukkan Title"
            ></b-form-input>
          </div>
        </div>

        <div class="d-flex justify-content-end">
          <button class="btn btn-primary btn-md">
            <i class="flaticon2-search-1"></i> Filter
          </button>
        </div>
      </div>
    </div>

    <div class="card card-custom p-5 gutter-b">
      <div class="card-body p-0">
        <b-tabs content-class="mt-3">
          <b-tab title="Document">
            <document></document>
          </b-tab>

          <b-tab title="Drawing">
            <drawing></drawing>
          </b-tab>

          <b-tab title="Software">
            <software></software>
          </b-tab>
        </b-tabs>
      </div>
    </div>
  </div>
</template>

<script>
import { SET_BREADCRUMB } from "@/core/services/store/breadcrumbs.module";
import Document from "./manhour/Document.vue";
import Drawing from "./manhour/Drawing.vue";
import Software from "./manhour/Software.vue";

export default {
  name: "ordering",
  components: {
    Document,
    Drawing,
    Software
  },
  data() {
    return {
      filter: {
        status: null,
        name: null,
        code: null,
        owner: null,
        contractNumber: null,
        nickname: null,
        station: null,
        scope: null
      },
      options: {
        statuses: [
          { value: null, text: "Pilih Status" },
          { value: "open", text: "Open" },
          { value: "close", text: "Close" }
        ],
        nicknames: [
          { value: null, text: "Pilih Nickname" },
          { value: "open", text: "Open" },
          { value: "close", text: "Close" }
        ],
        stations: [
          { value: null, text: "Pilih Stasiun" },
          { value: "open", text: "Open" },
          { value: "close", text: "Close" }
        ],
        scopes: [
          { value: null, text: "Pilih Scope" },
          { value: "open", text: "Open" },
          { value: "close", text: "Close" }
        ]
      },
      data: {
        projects: [
          {
            code: "LR98123",
            name: "PEMBANGUNAN SISTEM PERSINYALAN",
            status: "Open",
            owner: "BALAI TEKNIK PERKERETAAPIAN"
          }
        ]
      }
    };
  },
  methods: {},
  mounted() {
    this.$store.dispatch(SET_BREADCRUMB, [{ title: "Manhour" }]);
  }
};
</script>

<style></style>
